Get Page
Returns one content page.
Warning
Pay attention to query parameters This endpoint recognizes the same query parameters as Get Multiple Pages. If the requested page does not meet the query parameters you specify, you will receive a 404 response even if the requested
pageIddoes exist.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
pageId
The ID of the page to be operated on.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body that the client accepts. Typically application/json.
Query parameters
include
Include the requested property in the response. The body property returns the page’s markup, text, or raw content.
Allowed values:
Response
OK
data
meta
Data about the response, including pagination and collection totals.
Errors
404
Not Found Error
422
Unprocessable Entity Error